# singleWithRandomQualifier

inline fun < T : Any > ERROR CLASS: Symbol not found for Module. singleWithRandomQualifier (createdAtStart: Boolean = false, noinline definition: ERROR CLASS: Symbol not found for Definition<T>): ERROR CLASS: Recursive implicit type(source)

Declares a single instance with a random qualifier in the Koin module. This is useful when you need to declare multiple instances of the same type but want them to be uniquely identifiable without manually specifying qualifiers.

#### Return

A Koin definition for the single instance with a random qualifier

#### Parameters

createdAtStart

Whether the instance should be created when the Koin module starts (default: false)

definition

The definition function that creates the instance

#### Type Parameters

T

The type of instance to be created